View Issue Details

IDProjectCategoryView StatusLast Update
0002024Ham Radio DeluxeBugpublic2017-08-05 18:59
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0002024: Memory leak in CBase64 class
Description
By code inspection, the CBase64::Encode() method has a substantial memory leak.

This code is in the Base64.cpp file in the HRDLogbook project.

At line 42, a char array named pszText is allocated to hold the encoded data. The data is given to a CString member variable when encoding is done. The assignment operator in CString will allocate its own memory, owned by the CString object. The local pszText array is never deleted.

Steps To ReproduceReview the code
TagsNo tags attached.
ModuleLogbook
Sub-Module(select)
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-06-19 23:54

manager   ~0003224

fixed in this change set:

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3512

WA9PIE

2017-06-21 20:59

administrator   ~0003236

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-07-04 23:30

administrator   ~0003474

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003509

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003546

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-02 12:39 K7ZCZ New Issue
2017-06-19 23:54 K7ZCZ Note Added: 0003224
2017-06-19 23:54 K7ZCZ Assigned To => K7ZCZ
2017-06-19 23:54 K7ZCZ Status new => resolved
2017-06-19 23:54 K7ZCZ Resolution open => fixed
2017-06-20 06:53 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003236
2017-06-30 17:34 K7ZCZ Status assigned => resolved
2017-06-30 17:34 K7ZCZ Fixed in Version => 6.4.0.653
2017-06-30 17:34 K7ZCZ Sub-Module => (select)
2017-06-30 17:34 K7ZCZ Testing => N/A
2017-07-01 08:21 WA9PIE Target Version => 6.4.0.653
2017-07-01 08:22 WA9PIE Fixed in Version 6.4.0.653 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003474
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003509
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003546
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:59 WA9PIE Target Version 6.4.0.653 =>